## crash 8.0.4

=== debian/changelog ===
crash (8.0.4-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:38 +0200

crash (8.0.4-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes: (LP: #2047861)
    - d/t/live: If the "live" autopkgtest fails with a recommendation to
      try /proc/kcore instead of the default, attempt that before
      failing the test. LP 1858958.
    - d/t/live: Fix logic issue in "live" autopkgtest introduced in the
      last upload.
    - d/t/live: Fix test, as if will return 0 when no cases were true.
    - d/t/control: Add linux-libc-dev dependency for the autopkg test.
      This package gets usually broken with kernel upgrades, so let it
      already show in the autopkg test.
    - d/t/control: Run autopkg test with allow-stderr.
  * Drop changes:
    - d/p/0002-Fix-compilation-error-due-to-new-strlcpy-function.patch
      [ included upstream in 8.0.4 ]
    - d/p/0003-Support-module-memory-layout-change-on-Linux-6.4.patch
      [ included upstream in 8.0.4 ]

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 02 Jan 2024 19:09:28 -0300

crash (8.0.4-1) unstable; urgency=medium

  * New upstream (Closes: #1057009)
  * a6832f608cb5 crash-8.0.3 -> crash-8.0.4
  * 262b1c71b485 Fix printing incorrect panic string issue
  * 55a43bcefa20 Fix compilation error and warning with gcc-4.8.5
  * fc6ed525407f gdb: Verify COFF symbol stringtab offset
  * a8e5e4cbae54 gdb: Avoid buffer overflow in ada_decode
  * 0172e35083b5 Fix "rd" command to display data on zram on Linux 5.17 and
    later
  * ac097d6cb157 diskdump: add hook for additional checks on prstatus notes
    validity
  * 5e758aaa0fd8 Make "clear" external command runnable without "!" and
    alias-able
  * 578fc08b8255 memory_driver: Support overriding kernel directory
  * 1cfd513ea9c8 memory_driver: Use designated initializer for 'crash_dev'
  * 3c44056efef2 memory_driver: Ensure PWD points to the current directory
  * c9a732d0f6ab arm64: Fix "vtop" command to display swap information on
    Linux 5.19 and later
  * a9291fc1bf61 ppc64: do page traversal if vmemmap_list not populated
  * 27f3ccd6c296 In verify_version() don't require specific syment type values
    for linux_banner symbol to get its address
  * 3253e5ac87c6 Fix "ps/vm" commands to display the memory usage for exiting
    tasks
  * 1aa93cd33fa1 RISCV64: Add KASLR support
  * f774fe0f59b4 deduplicate kernel_version open-coded parser
  * eeaed479a438 Fix "kmem -s|-S" not working properly when
    CONFIG_SLAB_FREELIST_HARDENED is enabled
  * bc145861bfeb Revert "Fix "kmem -s|-S" not working properly on RHEL8.6 and
    later"
  * ff963b795b3f RISCV64: Use va_kernel_pa_offset in VTOP()
  * 69f38d777450 Fix "ps/vm" commands to display correct memory usage
  * 558aecc98987 Fix "foreach" command with "DE" state to display only
    expected tasks
  * c74f375e0ef7 Fix get_linux_banner_from_vmlinux() for vmlinux without
    ".rodata" symbol
  * aa5763800d61 Fix warning about kernel version inconsistency during crash
    startup
  * f0b59524624b Fix segmentation fault by "tree -s" option with Maple Tree
  * 38d35bd1423c Fix "irq [-a|-s]" options on Linux 6.5-rc1 and later
  * d17d51a92a3a Exclude zero entries from do_maple_tree() return value
  * b76e116c50ff vmware: Improve output when we fail to read vmware 'vmsn'
    file
  * 6d0be1316aa3 Fix "irq -a" option on Linux 6.0 and later
  * 4ee56105881d Fix compilation error due to new strlcpy function that glibc
    added
  * 88580068b7dd Fix failure of gathering task table on Linux 6.5-rc1 and
    later
  * 7750e61fdb2a Support module memory layout change on Linux 6.4
  * 8b24b2025fb4 ppc64: Remove redundant PTE checks
  * 6c8cd9b5dcf4 arm64: Fix again segfault in
    arm64_is_kernel_exception_frame() when corrupt stack pointer address is
    given
  * 91a76958e4a8 Revert "Fix segfault in arm64_is_kernel_exception_frame()
    when corrupt stack pointer address is given"
  * ec1e61b33a70 Fix invalid structure size error during crash startup on
    ppc64
  * 77d8621876c1 x86_64: Fix "bt" command printing stale entries on Linux 6.4
    and later
  * 8527bbff71cb Output prompt when stdin is not a TTY
  * 9868ebc8e648 Fix segfault in arm64_is_kernel_exception_frame() when
    corrupt stack pointer address is given
  * db8c030857b4 diskdump/netdump: fix segmentation fault caused by failure of
    stopping CPUs
  * a0eceb041dfa arm64/x86_64: Enhance "vtop" command to show zero_pfn
    information
  * 342cf340ed03 Fix "kmem -v" option displaying no regions on Linux 6.3 and
    later
  * 58c1816521c2 Fix failure of "dev -d|-D" options on Linux 6.4 and later
    kernels
  * 040a56e9f9d0 Fix kernel version macros for revision numbers over 255
  * 2505a65ff547 Mark start of 8.0.4 development phase with version 8.0.3++

 -- Troy Heber <troyh@debian.org>  Mon, 27 Nov 2023 14:43:03 -0700

crash (8.0.3+ds1-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes: (LP: #2042357)
    - d/t/live: If the "live" autopkgtest fails with a recommendation to
      try /proc/kcore instead of the default, attempt that before
      failing the test. LP 1858958.
    - d/t/live: Fix logic issue in "live" autopkgtest introduced in the
      last upload.
    - d/t/live: Fix test, as if will return 0 when no cases were true.
    - d/t/control: Add linux-libc-dev dependency for the autopkg test.
      This package gets usually broken with kernel upgrades, so let it
      already show in the autopkg test.
    - d/t/control: Run autopkg test with allow-stderr.
  * Drop changes:
    - d/rules: Build without lto. Fails to build gdb on ppc64el. That
      should be fixed, once gdb is updated to a more recent version
      (e.g. 10.x). [This line is already commented out since Mantic.]
  * New changes:
    - d/p/0002-Fix-compilation-error-due-to-new-strlcpy-function.patch:


=== debian/control ===
Source: crash
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
Uploaders:
Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses5-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo
Standards-Version: 4.6.2.0
Homepage: https://crash-utility.github.io/
XS-Testsuite: autopkgtest

Package: crash
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils
Suggests: kexec-tools, makedumpfile
Description: kernel debugging utility, allowing gdb like syntax
 The core analysis suite is a self-contained tool that can be used to
 investigate either live systems, or multiple different core dump formats
 including kdump, LKCD, netdump and diskdump.
 .
 o  The tool is loosely based on the SVR4 crash command, but has been
    completely integrated with gdb in order to be able to display
    formatted kernel data structures, disassemble source code, etc.
 .
 o  The current set of available commands consist of common kernel core
    analysis tools such as a context-specific stack traces, source code
    disassembly, kernel variable displays, memory display, dumps of
    linked-lists, etc.  In addition, any gdb command may be entered,
    which in turn will be passed onto the gdb module for execution.
 .
 o  There are several commands that delve deeper into specific kernel
    subsystems, which also serve as templates for kernel developers
    to create new commands for analysis of a specific area of interest.
    Adding a new command is a simple affair, and a quick recompile
    adds it to the command menu.
 .
 o  The intent is to make the tool independent of Linux version dependencies,
    building in recognition of major kernel code changes so as to adapt to
    new kernel versions, while maintaining backwards compatibility.

## crash 8.0.5

=== debian/changelog ===
crash (8.0.5-1) unstable; urgency=medium

  * New upstream
  * ceacceef7d13 crash-8.0.4 -> crash-8.0.5
  * eedf12d47584 gdb: fix "p" command to print module variables correctly
  * 7d4daf0c0354 x86_64: Fix "bt" command to handle IRQ exception frames properly
  * ced754d3f8ce Fix segmentation fault in value_search_module_6_4()
  * ce47cb8dabb5 x86_64: Fix for "bt" command incorrectly printing "bogus exception frame" warning
  * 5b24e363a898 get vmalloc start address from vmcoreinfo
  * 18bf18cf2e6b arm64: Add support for vmemmap symbol in vmcoreinfo
  * 3f205d1d4af5 LoongArch64: Fixed link errors when build on LOONGARCH64 machine
  * cc3049044a72 gdb-10.2.patch: Fix duplicated code by re-applying patch
  * 5977936c0a91 Add "log -c" option to display printk caller id
  * 3d60d9d40457 Fix "mount" command failure on Linux 6.8-rc1 and later
  * e924f6d8a1d2 LoongArch64: Add LoongArch64 architecture support information
  * c3939d2e1930 LoongArch64: Add "--kaslr" command line option support
  * 0f34aa46cae9 LoongArch64: Add 'irq' command support
  * be214379cdb9 LoongArch64: Add 'help -r' command support
  * ab4c69f992ad LoongArch64: Add 'help -m/M' command support
  * 87f031ada9df LoongArch64: Add 'bt' command support
  * 756158045183 LoongArch64: Add 'mach' command support
  * 7b8db357511c LoongArch64: Add 'pte' command support
  * 89ae0e226fa9 LoongArch64: Make the crash tool successfully enter the crash command line
  * 35a2472e7a30 Add LoongArch64 framework code support
  * 28891d112754 symbols: skip the module if the given address is not within its address range
  * aed1b7d3a064 x86_64: Fix "bt" command not printing stack trace enough
  * a69496279133 RISCV64: Add per-cpu overflow stacks support
  * 12fbed3280a1 RISCV64: Add per-cpu IRQ stacks support
  * d86dc6901ce7 RISCV64: Add support for 'bt -e' option
  * edb2bd52885c arm64: support HW Tag-Based KASAN (MTE) mode
  * 53d2577cef98 x86_64: check bt->bptr before calculate framesize
  * 38435c3acec0 help.c: Remove "kmem -l" help messages
  * 19d3c56c9fca arm64: rewrite the arm64_get_vmcoreinfo_ul to arm64_get_vmcoreinfo
  * 9b69093e623f RISCV64: Fix 'bt' output when no ra on the stack top
  * 5187a0320cc5 RISCV64: Dump NT_PRSTATUS in 'help -n'
  * d0164e7e480a s390x: uncouple physical and virtual memory spaces
  * 4c78eb4a9199 s390x: fix virtual vs physical address confusion
  * 2e513114e7d7 Fix identity_map_base value dump on S390
  * c15da0752629 use NR_SWAPCACHE when nr_swapper_spaces isn't available
  * 0c5ef6a4a3a2 symbols: skip load .init.* sections if module was successfully initialized
  * f2ee6fa6c841 symbols: expand all kernel module symtable if not all expanded previously
  * 582febffa8b3 zram: Fixes for lookup_swap_cache()
  * d65e5d3eae0d Fix typos in offset_table and missing "help -o" items
  * 38acd02c7fc0 Fix "rd" command for zram data display in Linux 6.2 and later
  * 61c8fdb1d7f7 Mark start of 8.0.5 development phase with version 8.0.4++

 -- Troy Heber <troyh@debian.org>  Tue, 30 Apr 2024 15:04:19 -0600

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: crash
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
+Maintainer: Troy Heber <troyh@debian.org>
 Uploaders:
 Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses5-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.0
 Homepage: https://crash-utility.github.io/
 XS-Testsuite: autopkgtest

## crash 8.0.6

=== Makefile ===
# Makefile for core analysis suite
#
# Copyright (C) 1999, 2000, 2001, 2002 Mission Critical Linux, Inc.
#       www.missioncriticallinux.com, info@missioncriticallinux.com
#
# Copyright (C) 2002-2016 David Anderson
# Copyright (C) 2002-2016 Red Hat, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

MAKEFLAGS += --no-print-directory
PROGRAM=crash

#
# Supported targets: X86 ALPHA PPC IA64 PPC64 SPARC64
# TARGET and GDB_CONF_FLAGS will be configured automatically by configure
#
TARGET=
GDB_CONF_FLAGS=

ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
ifeq (${ARCH}, ppc64)
CONF_FLAGS = -m64
endif

#
# GDB, GDB_FILES, GDB_OFILES and GDB_PATCH_FILES will be configured automatically by configure 
#
GDB=
GDB_FILES=
GDB_OFILES=
GDB_PATCH_FILES=

#
# Default installation directory
#
INSTALLDIR=${DESTDIR}/usr/bin

# LDFLAGS will be configured automatically by configure
LDFLAGS=

GENERIC_HFILES=defs.h xen_hyper_defs.h xen_dom0.h
MCORE_HFILES=va_server.h vas_crash.h
REDHAT_HFILES=netdump.h diskdump.h makedumpfile.h xendump.h kvmdump.h qemu-load.h vmcore.h
LKCD_DUMP_HFILES=lkcd_vmdump_v1.h lkcd_vmdump_v2_v3.h lkcd_dump_v5.h \
        lkcd_dump_v7.h lkcd_dump_v8.h
LKCD_OBSOLETE_HFILES=lkcd_fix_mem.h
LKCD_TRACE_HFILES=lkcd_x86_trace.h
IBM_HFILES=ibm_common.h
SADUMP_HFILES=sadump.h
UNWIND_HFILES=unwind.h unwind_i.h rse.h unwind_x86.h unwind_x86_64.h
VMWARE_HFILES=vmware_vmss.h
MAPLE_TREE_HFILES=maple_tree.h
LZORLE_HFILES=lzorle_decompress.h

CFILES=main.c tools.c global_data.c memory.c filesys.c help.c task.c \
	kernel.c test.c gdb_interface.c configure.c net.c dev.c bpf.c \
	printk.c \
	alpha.c x86.c ppc.c ia64.c s390.c s390x.c s390dbf.c ppc64.c x86_64.c \
	arm.c arm64.c mips.c mips64.c riscv64.c loongarch64.c sparc64.c \
	extensions.c remote.c va_server.c va_server_v1.c symbols.c cmdline.c \
	lkcd_common.c lkcd_v1.c lkcd_v2_v3.c lkcd_v5.c lkcd_v7.c lkcd_v8.c\
	lkcd_fix_mem.c s390_dump.c lkcd_x86_trace.c \
	netdump.c diskdump.c makedumpfile.c xendump.c unwind.c unwind_decoder.c \
	unwind_x86_32_64.c unwind_arm.c \
	xen_hyper.c xen_hyper_command.c xen_hyper_global_data.c \
	xen_hyper_dump_tables.c kvmdump.c qemu.c qemu-load.c sadump.c ipcs.c \
	ramdump.c vmware_vmss.c vmware_guestdump.c \
	xen_dom0.c kaslr_helper.c sbitmap.c maple_tree.c \
	lzorle_decompress.c

SOURCE_FILES=${CFILES} ${GENERIC_HFILES} ${MCORE_HFILES} \
	${REDHAT_CFILES} ${REDHAT_HFILES} ${UNWIND_HFILES} \
	${LKCD_DUMP_HFILES} ${LKCD_TRACE_HFILES} ${LKCD_OBSOLETE_HFILES}\
	${IBM_HFILES} ${SADUMP_HFILES} ${VMWARE_HFILES} ${MAPLE_TREE_HFILES} \
	${LZORLE_HFILES}

OBJECT_FILES=main.o tools.o global_data.o memory.o filesys.o help.o task.o \
	build_data.o kernel.o test.o gdb_interface.o net.o dev.o bpf.o \
	printk.o \
	alpha.o x86.o ppc.o ia64.o s390.o s390x.o s390dbf.o ppc64.o x86_64.o \
	arm.o arm64.o mips.o mips64.o riscv64.o loongarch64.o sparc64.o \
	extensions.o remote.o va_server.o va_server_v1.o symbols.o cmdline.o \
	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
	lkcd_fix_mem.o s390_dump.o netdump.o diskdump.o makedumpfile.o xendump.o \
	lkcd_x86_trace.o unwind_v1.o unwind_v2.o unwind_v3.o \
	unwind_x86_32_64.o unwind_arm.o \
	xen_hyper.o xen_hyper_command.o xen_hyper_global_data.o \
	xen_hyper_dump_tables.o kvmdump.o qemu.o qemu-load.o sadump.o ipcs.o \
	ramdump.o vmware_vmss.o vmware_guestdump.o \
	xen_dom0.o kaslr_helper.o sbitmap.o maple_tree.o \
	lzorle_decompress.o

MEMORY_DRIVER_FILES=memory_driver/Makefile memory_driver/crash.c memory_driver/README

# These are the current set of crash extensions sources.  They are not built
# by default unless the third command line of the "all:" stanza is uncommented.
# Alternatively, they can be built by entering "make extensions" from this
# directory.

EXTENSIONS=extensions
EXTENSION_SOURCE_FILES=${EXTENSIONS}/Makefile ${EXTENSIONS}/echo.c ${EXTENSIONS}/dminfo.c \
	${EXTENSIONS}/snap.c ${EXTENSIONS}/snap.mk ${EXTENSIONS}/trace.c \
	${EXTENSIONS}/eppic.c ${EXTENSIONS}/eppic.mk

DAEMON_OBJECT_FILES=remote_daemon.o va_server.o va_server_v1.o \
	lkcd_common.o lkcd_v1.o lkcd_v2_v3.o lkcd_v5.o lkcd_v7.o lkcd_v8.o \
	s390_dump.o netdump_daemon.o

GDB_5.0_FILES=${GDB}/gdb/Makefile.in \
	  ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
	  ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
	  ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
	  ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/gnu-regex.c \
	  ${GDB}/gdb/ppc-linux-nat.c
GDB_5.0_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/gnu-regex.o \
          ${GDB}/gdb/ppc-linux-nat.o

GDB_5.1_FILES=${GDB}/gdb/Makefile.in \
	  ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
	  ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
	  ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
	  ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c  ${GDB}/gdb/gnu-regex.c
GDB_5.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/gnu-regex.o

GDB_5.2.1_FILES=${GDB}/gdb/Makefile.in \
          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
          ${GDB}/gdb/blockframe.c ${GDB}/gdb/alpha-tdep.c \
          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c
GDB_5.2.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o ${GDB}/gdb/target.o \
          ${GDB}/gdb/blockframe.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o 

GDB_5.3post-0.20021129.36rh_FILES=${GDB}/gdb/Makefile.in \
          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
          ${GDB}/gdb/frame.c ${GDB}/gdb/alpha-tdep.c \
          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/dwarf2read.c
GDB_5.3post-0.20021129.36rh_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
          ${GDB}/gdb/target.o ${GDB}/gdb/frame.o ${GDB}/gdb/alpha-tdep.o \
          ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o ${GDB}/gdb/ui-file.o \
          ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o

GDB_6.0_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c \
	  ${GDB}/gdb/ppc-linux-tdep.c ${GDB}/sim/ppc/ppc-instructions \
	  ${GDB}/bfd/simple.c ${GDB}/include/obstack.h
GDB_6.0_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
          ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o \
	  ${GDB}/gdb/ppc-linux-tdep.o ${GDB}/bfd/simple.o

GDB_6.1_FILES=${GDB}/gdb/Makefile.in ${GDB}/Makefile.in \
          ${GDB}/gdb/main.c ${GDB}/gdb/symtab.c ${GDB}/gdb/target.c \
          ${GDB}/gdb/symfile.c ${GDB}/gdb/elfread.c \
          ${GDB}/gdb/ui-file.c ${GDB}/gdb/utils.c ${GDB}/gdb/dwarf2read.c \
          ${GDB}/include/obstack.h ${GDB}/gdb/ppc-linux-tdep.c
GDB_6.1_OFILES=${GDB}/gdb/main.o ${GDB}/gdb/symtab.o \
          ${GDB}/gdb/target.o ${GDB}/gdb/symfile.o ${GDB}/gdb/elfread.o \
          ${GDB}/gdb/ui-file.o ${GDB}/gdb/utils.o ${GDB}/gdb/dwarf2read.o \
          ${GDB}/gdb/ppc-linux-tdep.o

GDB_7.0_FILES=
GDB_7.0_OFILES=${GDB}/gdb/symtab.o

GDB_7.3.1_FILES=
GDB_7.3.1_OFILES=${GDB}/gdb/symtab.o

GDB_7.6_FILES=
GDB_7.6_OFILES=${GDB}/gdb/symtab.o

GDB_10.2_FILES=
GDB_10.2_OFILES=${GDB}/gdb/symtab.o crash_target.o

# 
# GDB_FLAGS is passed up from the gdb Makefile.
#
GDB_FLAGS=

#
# WARNING_OPTIONS and WARNING_ERROR are both applied on a per-file basis. 
# WARNING_ERROR is NOT used on files including "dirty" gdb headers so that 
# successful compilations can be achieved with acceptable warnings; its 
# usefulness is also dependent upon the processor's compiler -- your mileage
# may vary.
#
#WARNING_OPTIONS=-Wall -O2 -Wstrict-prototypes -Wmissing-prototypes -fstack-protector -Wformat-security
#WARNING_ERROR=-Werror

# TARGET_CFLAGS will be configured automatically by configure
TARGET_CFLAGS=

CRASH_CFLAGS=-g -D${TARGET} ${TARGET_CFLAGS} ${GDB_FLAGS} ${CFLAGS}

GPL_FILES=
TAR_FILES=${SOURCE_FILES} Makefile ${GPL_FILES} README .rh_rpm_package crash.8 \
	${EXTENSION_SOURCE_FILES} ${MEMORY_DRIVER_FILES}
CSCOPE_FILES=${SOURCE_FILES}

READLINE_DIRECTORY=./${GDB}/readline/readline
BFD_DIRECTORY=./${GDB}/bfd
GDB_INCLUDE_DIRECTORY=./${GDB}/include

REDHATFLAGS=-DREDHAT

# target could be set on command line when invoking make. Like: make target=ARM
# otherwise target will be the same as the host
ifneq ($(target),)
CONF_TARGET_FLAG="-t$(target)"
endif

ifeq ($(findstring warn,$(MAKECMDGOALS)),warn)
CONF_TARGET_FLAG += -w
endif
ifeq ($(findstring Warn,$(MAKECMDGOALS)),Warn)
CONF_TARGET_FLAG += -W
endif
ifeq ($(findstring nowarn,$(MAKECMDGOALS)),nowarn)
CONF_TARGET_FLAG += -n
endif
ifeq ($(findstring lzo,$(MAKECMDGOALS)),lzo)
CONF_TARGET_FLAG += -x lzo
endif
ifeq ($(findstring snappy,$(MAKECMDGOALS)),snappy)
CONF_TARGET_FLAG += -x snappy
endif
ifeq ($(findstring zstd,$(MAKECMDGOALS)),zstd)
CONF_TARGET_FLAG += -x zstd
endif
ifeq ($(findstring valgrind,$(MAKECMDGOALS)),valgrind)
CONF_TARGET_FLAG += -x valgrind
endif

# To build the extensions library by default, uncomment the third command
# line below.  Otherwise they can be built by entering "make extensions".

all: make_configure
	@./configure ${CONF_TARGET_FLAG} -p "RPMPKG=${RPMPKG}" -b
	@$(MAKE) gdb_merge
#	@$(MAKE) extensions

gdb_merge: force
	@if [ ! -f ${GDB}/README ]; then \
	  $(MAKE) gdb_unzip; fi
	@echo "${LDFLAGS} -lz -ldl -rdynamic" > ${GDB}/gdb/mergelibs
	@echo "../../${PROGRAM} ../../${PROGRAM}lib.a" > ${GDB}/gdb/mergeobj
	@rm -f ${PROGRAM}
	@if [ ! -f ${GDB}/config.status ]; then \
	  (cd ${GDB}; ./configure ${GDB_CONF_FLAGS} --with-separate-debug-dir=/usr/lib/debug \
	    --with-bugurl="" --with-expat=no --with-python=no --disable-sim; \
	  $(MAKE) CRASH_TARGET=${TARGET}; echo ${TARGET} > crash.target) \
	else $(MAKE) rebuild; fi
	@if [ ! -f ${PROGRAM} ]; then \
	  echo; echo "${PROGRAM} build failed"; \
	  echo; exit 1; fi

rebuild:
	@if [ ! -f ${GDB}/${GDB}.patch ]; then \
	  touch ${GDB}/${GDB}.patch; fi
	@if [ -f ${GDB}.patch ] && [ -s ${GDB}.patch ] && \
	  [ "`md5sum < ${GDB}.patch`" != "`md5sum < ${GDB}/${GDB}.patch`" ]; then \
	  (sh -x ${GDB}.patch ${TARGET}; patch -N -p0 -r- --fuzz=0 < ${GDB}.patch; cp ${GDB}.patch ${GDB}; cd ${GDB}; \
	  $(MAKE) CRASH_TARGET=${TARGET}) \
	else (cd ${GDB}/gdb; $(MAKE) CRASH_TARGET=${TARGET}); fi

gdb_unzip:
	@rm -f gdb.files
	@for FILE in ${GDB_FILES} dummy; do\
	  echo $$FILE >> gdb.files; done
	@if [ ! -f ${GDB}.tar.gz ] && [ ! -f /usr/bin/wget ]; then \
	  echo /usr/bin/wget is required to download ${GDB}.tar.gz; echo; exit 1; fi
	@if [ ! -f ${GDB}.tar.gz ] && [ -f /usr/bin/wget ]; then \
	  [ ! -t 2 ] && WGET_OPTS="--progress=dot:mega"; \
	  wget $$WGET_OPTS http://ftp.gnu.org/gnu/gdb/${GDB}.tar.gz; fi
	@tar --exclude-from gdb.files -xzmf ${GDB}.tar.gz
	@$(MAKE) gdb_patch

gdb_patch:
	if [ -f ${GDB}.patch ] && [ -s ${GDB}.patch ]; then \
		patch -p0 < ${GDB}.patch; cp ${GDB}.patch ${GDB}; fi

library: ${OBJECT_FILES}
	ar -rs ${PROGRAM}lib.a ${OBJECT_FILES}

=== extensions/Makefile ===
#
# Makefile for building crash shared object extensions
#
# Copyright (C) 2005, 2007, 2009, 2011, 2013 David Anderson
# Copyright (C) 2005, 2007, 2009, 2011, 2013 Red Hat, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# To build the extension shared objects in this directory, run 
# "make extensions" from the top-level directory.
#
# To add a new extension object, simply copy your module's .c file
# to this directory, and it will be built automatically using
# the "standard" compile line.  If that compile line does not 
# suffice, create a .mk file with the same prefix as the .c file,
# and that makefile will be invoked. 
# 

CONTRIB_SO := $(patsubst %.c,%.so,$(wildcard *.c))

all: link_defs $(CONTRIB_SO)
	
link_defs:
	@rm -f defs.h
	@ln ../defs.h 

$(CONTRIB_SO): %.so: %.c defs.h
	@if [ -f $*.mk ]; then \
		$(MAKE) -f $*.mk; \
	else \
		grep '((constructor))' $*.c > .constructor; \
		if [ -s .constructor ]; then \
			echo "gcc -Wall -g -shared -rdynamic -o $@ $*.c -fPIC -D$(TARGET) $(TARGET_CFLAGS) $(GDB_FLAGS)"; \
			gcc -Wall -g -shared -rdynamic -o $@ $*.c -fPIC -D$(TARGET) $(TARGET_CFLAGS) $(GDB_FLAGS); \
		fi; \
		if [ ! -s .constructor ]; then \
			echo "gcc -Wall -g -nostartfiles -shared -rdynamic -o $@ $*.c -fPIC -D$(TARGET) $(TARGET_CFLAGS) $(GDB_FLAGS)"; \
			gcc -Wall -g -nostartfiles -shared -rdynamic -o $@ $*.c -fPIC -D$(TARGET) $(TARGET_CFLAGS) $(GDB_FLAGS); \
		fi; \
		rm -f .constructor; \
	fi

clean:
	rm -f $(CONTRIB_SO)
	@for MAKEFILE in `grep -sl "^clean:" *.mk`; \
	  do $(MAKE) -f $$MAKEFILE clean; \
	done

=== gdb/features/Makefile ===
# Copyright (C) 2007-2021 Free Software Foundation, Inc.

# This file is part of GDB.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# This file requires GNU make!

# This Makefile updates files in ../regformats from their XML master
# copies.  Because this relies on xsltproc, it is not normally run
# during the build process; it should be run by hand when one of the
# affected XML files is changed, and the results should be kept in the
# GDB repository.

# It can also update the C files in the features directory from their
# XML master copies.  This relies on a GDB linked with expat and that
# is configured to include support for the architecture, so the files
# are kept in the GDB repository.
#
# By default we'll generate all C files, and you must point make at a
# GDB that has been configured with --enable-targets=all:
#
#   make GDB=/path/to/gdb cfiles
#
# To regenerate all C files from scratch:
#
#   make GDB=/path/to/gdb clean-cfiles cfiles
#
# To generate specific C files, you can override the XMLTOC and
# FEATURE_XMLFILES make variables:
#
#   make GDB=/path/to/gdb XMLTOC="xml files" FEATURE_XMLFILES="xml files" cfiles

# List of .dat files to create in ../regformats/
WHICH = mips-linux mips-dsp-linux \
	microblaze-with-stack-protect \
	mips64-linux mips64-dsp-linux \
	nios2-linux \
	rs6000/powerpc-32 \
	rs6000/powerpc-32l rs6000/powerpc-altivec32l rs6000/powerpc-e500l \
	rs6000/powerpc-64l rs6000/powerpc-altivec64l rs6000/powerpc-vsx32l \
	rs6000/powerpc-vsx64l \
	rs6000/powerpc-isa205-32l rs6000/powerpc-isa205-64l \
	rs6000/powerpc-isa205-altivec32l rs6000/powerpc-isa205-altivec64l \
	rs6000/powerpc-isa205-vsx32l rs6000/powerpc-isa205-vsx64l \
	rs6000/powerpc-isa205-ppr-dscr-vsx32l \
	rs6000/powerpc-isa205-ppr-dscr-vsx64l \
	rs6000/powerpc-isa207-vsx32l rs6000/powerpc-isa207-vsx64l \
	rs6000/powerpc-isa207-htm-vsx32l \
	rs6000/powerpc-isa207-htm-vsx64l \
	s390-linux32 s390-linux64 s390x-linux64 \
	s390-linux32v1 s390-linux64v1 s390x-linux64v1 \
	s390-linux32v2 s390-linux64v2 s390x-linux64v2 \
	s390-te-linux64 s390x-te-linux64 s390-vx-linux64 s390x-vx-linux64 \
	s390-tevx-linux64 s390x-tevx-linux64 \
	s390-gs-linux64 s390x-gs-linux64 \
	tic6x-c64xp-linux tic6x-c64x-linux tic6x-c62x-linux

# Record which registers should be sent to GDB by default after stop.
aarch64-expedite = x29,sp,pc
arm-expedite = r11,sp,pc
i386-expedite = ebp,esp,eip
amd64-expedite = rbp,rsp,rip
x32-expedite = rbp,rsp,rip
mips-expedite = r29,pc
mips-dsp-expedite = r29,pc
mips64-expedite = r29,pc
mips64-dsp-expedite = r29,pc
microblaze-expedite = r1,rpc
nios2-linux-expedite = sp,pc
or1k-expedite = r1,npc
powerpc-expedite = r1,pc
s390-linux32-expedite = r14,r15,pswa
s390-linux32v1-expedite = r14,r15,pswa
s390-linux32v2-expedite = r14,r15,pswa
s390-linux64-expedite = r14l,r15l,pswa
s390-linux64v1-expedite = r14l,r15l,pswa
s390-linux64v2-expedite = r14l,r15l,pswa
s390-te-linux64-expedite = r14l,r15l,pswa
s390-vx-linux64-expedite = r14l,r15l,pswa
s390-tevx-linux64-expedite = r14l,r15l,pswa
s390-gs-linux64-expedite = r14,r15,pswa
s390x-expedite = r14,r15,pswa
tic6x-expedite = A15,PC


XSLTPROC = xsltproc
outdir = ../regformats
OUTPUTS = $(patsubst %,$(outdir)/%.dat,$(WHICH))

# For targets without feature based target descriptions,
# the set of xml files we'll generate .c files for GDB from.  By
# default we'll build all .c files, which requires an
# --enable-targets=all GDB.  You can override this by passing XMLTOC
# to make on the command line.
XMLTOC = \
	microblaze-with-stack-protect.xml \
	microblaze.xml \
	mips-dsp-linux.xml \
	mips-linux.xml \
	mips64-dsp-linux.xml \
	mips64-linux.xml \
	nds32.xml \
	nios2.xml \
	or1k.xml \
	rs6000/powerpc-32.xml \
	rs6000/powerpc-32l.xml \
	rs6000/powerpc-403.xml \
	rs6000/powerpc-403gc.xml \
	rs6000/powerpc-405.xml \
	rs6000/powerpc-505.xml \
	rs6000/powerpc-601.xml \
	rs6000/powerpc-602.xml \
	rs6000/powerpc-603.xml \
	rs6000/powerpc-604.xml \
	rs6000/powerpc-64.xml \
	rs6000/powerpc-64l.xml \
	rs6000/powerpc-7400.xml \
	rs6000/powerpc-750.xml \
	rs6000/powerpc-860.xml \
	rs6000/powerpc-altivec32.xml \
	rs6000/powerpc-altivec32l.xml \
	rs6000/powerpc-altivec64.xml \
	rs6000/powerpc-altivec64l.xml \
	rs6000/powerpc-e500.xml \
	rs6000/powerpc-e500l.xml \
	rs6000/powerpc-isa205-32l.xml \
	rs6000/powerpc-isa205-64l.xml \
	rs6000/powerpc-isa205-altivec32l.xml \
	rs6000/powerpc-isa205-altivec64l.xml \
	rs6000/powerpc-isa205-vsx32l.xml \
	rs6000/powerpc-isa205-vsx64l.xml \
	rs6000/powerpc-isa205-ppr-dscr-vsx32l.xml \
	rs6000/powerpc-isa205-ppr-dscr-vsx64l.xml \
	rs6000/powerpc-isa207-vsx32l.xml \
	rs6000/powerpc-isa207-vsx64l.xml \
	rs6000/powerpc-isa207-htm-vsx32l.xml \
	rs6000/powerpc-isa207-htm-vsx64l.xml \
	rs6000/powerpc-vsx32.xml \
	rs6000/powerpc-vsx32l.xml \
	rs6000/powerpc-vsx64.xml \
	rs6000/powerpc-vsx64l.xml \
	rs6000/rs6000.xml \
	s390-linux32.xml \
	s390-linux32v1.xml \
	s390-linux32v2.xml \
	s390-linux64.xml \
	s390-linux64v1.xml \
	s390-linux64v2.xml \
	s390-te-linux64.xml \
	s390x-linux64.xml \
	s390x-linux64v1.xml \
	s390x-linux64v2.xml \
	s390x-te-linux64.xml \
	s390-tevx-linux64.xml \
	s390-vx-linux64.xml \
	s390x-tevx-linux64.xml \
	s390x-vx-linux64.xml \
	s390-gs-linux64.xml \
	s390x-gs-linux64.xml

TDESC_CFILES = $(patsubst %.xml,%.c,$(XMLTOC))
GDB = false

#Targets which use feature based target descriptions.
aarch64-feature = 1
arm-feature = 1
i386-feature = 1
riscv-feature = 1
tic6x-feature = 1

all: $(OUTPUTS)

$(outdir)/%.dat: %.xml number-regs.xsl sort-regs.xsl gdbserver-regs.xsl
	echo "# THIS FILE IS GENERATED.  -*- buffer-read-only: t -*- vi :set ro:" > $(outdir)/$*.tmp
	echo "# Generated from: $<" >> $(outdir)/$*.tmp
	echo "name:`echo $(notdir $*) | sed 's/-/_/g'`" >> $(outdir)/$*.tmp
	$(if $($(firstword $(subst /, ,$(subst -, ,$*)))-feature), echo "feature:1") >> $(outdir)/$*.tmp
	echo "xmltarget:$(<F)" >> $(outdir)/$*.tmp
	echo "expedite:$(if $($*-expedite),$($*-expedite),$($(firstword $(subst -, ,$(notdir $*)))-expedite))" \
	  >> $(outdir)/$*.tmp
	$(XSLTPROC) --path "$(PWD)" --xinclude number-regs.xsl $< | \
	  $(XSLTPROC) sort-regs.xsl - | \
	  $(XSLTPROC) gdbserver-regs.xsl - >> $(outdir)/$*.tmp
	sh ../../move-if-change $(outdir)/$*.tmp $(outdir)/$*.dat

# For targets with feature based target descriptions,
# the set of xml files we'll generate .c files for GDB from.
FEATURE_XMLFILES = aarch64-core.xml \
	aarch64-fpu.xml \
	aarch64-pauth.xml \
	arc/v1-core.xml \
	arc/v1-aux.xml \
	arc/v2-core.xml \
	arc/v2-aux.xml \
	arm/arm-core.xml \
	arm/arm-fpa.xml \
	arm/arm-m-profile.xml \
	arm/arm-m-profile-with-fpa.xml \
	arm/arm-vfpv2.xml \
	arm/arm-vfpv3.xml \
	arm/xscale-iwmmxt.xml \
	i386/32bit-core.xml \
	i386/32bit-sse.xml \
	i386/32bit-linux.xml \
	i386/32bit-avx.xml \
	i386/32bit-mpx.xml \
	i386/32bit-avx512.xml \
	i386/32bit-pkeys.xml \
	i386/64bit-avx512.xml \
	i386/64bit-core.xml \
	i386/64bit-mpx.xml \
	i386/64bit-segments.xml \
	i386/64bit-avx.xml \
	i386/64bit-linux.xml \
	i386/64bit-pkeys.xml \
	i386/64bit-sse.xml \
	i386/x32-core.xml \
	riscv/32bit-cpu.xml \
	riscv/32bit-fpu.xml \
	riscv/64bit-cpu.xml \
	riscv/64bit-fpu.xml \
	rx.xml \
	tic6x-c6xp.xml \
	tic6x-core.xml \
	tic6x-gp.xml

FEATURE_CFILES = $(patsubst %.xml,%.c,$(FEATURE_XMLFILES))

cfiles: $(TDESC_CFILES) $(FEATURE_CFILES)

$(TDESC_CFILES): %.c: %.xml
	$(GDB) -nx -q -batch -ex 'maint print c-tdesc $<' > $@.tmp
	sh ../../move-if-change $@.tmp $@

$(FEATURE_CFILES): %.c: %.xml.tmp
	$(GDB) -nx -q -batch \
	  -ex 'maint print c-tdesc $<' > $@.tmp
	sh ../../move-if-change $@.tmp $@
	rm $<

# %.xml is the XML file for each target description feature, and
# %.xml.tmp is the XML file target description which only includes
# one target description feature.

%.xml.tmp: %.xml
	echo "<?xml version=\"1.0\"?>" > $@.tmp
	echo "<!DOCTYPE target SYSTEM \"gdb-target.dtd\">" >> $@.tmp
	echo "<target>" >> $@.tmp
	echo "  <xi:include href=\"$(notdir $<)\"/>" >> $@.tmp
	echo "</target>" >> $@.tmp
	sh ../../move-if-change $@.tmp $@

# 'all' doesn't build the C files, so don't delete them in 'clean'
# either.
clean-cfiles:
	rm -f $(TDESC_CFILES) $(FEATURE_CFILES)

clean:
	rm -f $(OUTPUTS)

=== debian/changelog ===
crash (8.0.6-1ubuntu2) questing; urgency=medium

  * d/rules: add -std=gnu17 to build it with gcc-15 on questing (LP: #2125394)

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Sep 2025 16:08:50 +0530

crash (8.0.6-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/t/live: If the "live" autopkgtest fails with a recommendation to
      try /proc/kcore instead of the default, attempt that before
      failing the test. LP 1858958.
    - d/t/live: Fix logic issue in "live" autopkgtest introduced in the
      last upload.
    - d/t/live: Fix test, as if will return 0 when no cases were true.
    - d/t/control: Add linux-libc-dev dependency for the autopkg test.
      This package gets usually broken with kernel upgrades, so let it
      already show in the autopkg test.
    - d/t/control: Run autopkg test with allow-stderr.
    - Pass CFLAGS when building extensions.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Dec 2024 11:02:15 +0100

crash (8.0.6-1) unstable; urgency=medium

  * New upstream release 8.0.6
  * 89ff1e457344 x86_64: Add gdb stack unwind support
  * 6dfda0d22355 ppc64: Add gdb stack unwind support
  * 1fd80c623c20 Preparing for gdb stack unwind support
  * 7c8a7dddda66 vmware_guestdump: Various format versions support
  * c4db469af091 x86_64: Fix invalid input "=>" for bt command
  * 21e0a345f973 Fix cpumask_t recursive dependence issue
  * 32b03ca26229 Revert "arm64: section_size_bits compatible with macro
    definitions"
  * 7b5c8bca7d05 X86 64: improve the method of determining whether kaslr is
    enabled
  * 9babe985a7eb kmem: fix the determination for slab page
  * 0d2ad774532d x86_64: Fix the bug of getting incorrect framesize
  * 17248cf00276 arm64: Support 16K page, 48 VA bits and 4 level page table
  * 19ce5a996ce7 arm64: fix 64K page and 52-bits VA support
  * 3b8f9721e13d arm64: use the same expression to indicate ptrs_per_pgd
  * 2ebf656a4a17 arm64: fix indent issue and refactor PTE_TO_PHYS
  * f20a94016148 “kmem address” not working properly when redzone is enabled
  * 79b93ecb2e72 Fix a "Bus error" issue caused by 'crash --osrelease' or
    crash loading
  * af3d266aeb8c arm64: cleanup the pud description
  * f93d870f8b6a arm64: fix for 'help -m/-M' to correctly display the pmd
    description
  * bcdf0f798d01 arm64: Introduction of support for 16K page with 2-level
    table support
  * 5218919ec108 s390x: Fix "bt -f/-F" command fail with seek error
  * 321e1e854588 Fix a segfault issue due to the incorrect irq_stack_size on
    ARM64
  * 5cd1c6ace5fe arm64: fix the determination of vmemmap and struct_page_size
  * f615f8fab7bf Fix "irq -a" exceeding the memory range issue
  * 38f26cc8b930 LoongArch64: fix incorrect code in the main()
  * 93d7f647c45b arm64: Introduction of support for 16K page with 3-level
    table support
  * 1c6da3eaff82 arm64: Fix bt command show wrong stacktrace on ramdump source
  * af895b219876 arm64: fix a potential segfault when unwind frame
  * ce4ddc742fbd List: enable LIST_HEAD_FORMAT for -r option
  * 3452fe802bf9 Fix "kmem -i" and "swap" commands on Linux 6.10-rc1 and later
    kernels
  * 196c4b79c13d X86 64: fix a regression issue about kernel stack padding
  * a20eb05de3c1 Fix for failing to load kernel module
  * 6752571d8d78 X86 64: fix for crash session loading failure
  * 7c2c90d0b06a Fix "kmem -v" option on Linux 6.9 and later kernels
  * 48764a14bc58 x86_64: fix for adding top_of_kernel_stack_padding for kernel
    stack
  * 3879e9104826 Reflect __{start,end}_init_task kernel symbols rename
  * 568c6f049ad4 arm64: section_size_bits compatible with macro definitions
  * af2ac4c41df6 Cleanup: replace struct zspage_5_17 with union
  * a584e9752fb2 Adding the zram decompression algorithm "lzo-rle"
  * 9104e87db44e Mark start of 8.0.6 development phase with version 8.0.5++

 -- Troy Heber <troyh@debian.org>  Sun, 08 Dec 2024 12:32:27 -0700

crash (8.0.4-1ubuntu3) oracular; urgency=medium

  * Pass CFLAGS when building extensions (LP: #2072745)

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 11 Jul 2024 16:09:38 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: crash
 Section: utils
 Priority: optional
-Maintainer: Troy Heber <troyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
 Uploaders:
-Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses5-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo
-Standards-Version: 4.7.0.0
+Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo
+Standards-Version: 4.7.0
 Homepage: https://crash-utility.github.io/
 XS-Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export EXTDIR=/usr/lib/crash/extensions
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) extensions lzo snappy zstd

override_dh_auto_clean:
	cp $(CURDIR)/Makefile $(CURDIR)/debian/Makefile.ori
	dh_auto_clean

override_dh_clean:
	dh_clean
	cp $(CURDIR)/debian/Makefile.ori $(CURDIR)/Makefile
	rm -Rf $(CURDIR)/configure
	rm -Rf $(CURDIR)/gdb-10.2
	rm -Rf $(CURDIR)/gdb.files
	rm -Rf $(CURDIR)/build_data.c
	rm -Rf $(CURDIR)/extensions/*.so
	rm -Rf $(CURDIR)/CFLAGS.extra
	rm -Rf $(CURDIR)/LDFLAGS.extra
	rm -Rf $(CURDIR)/extensions/defs.h

override_dh_auto_install:
	dh_auto_install
	cp $(CURDIR)/debian/Makefile.ori $(CURDIR)/Makefile
	mkdir -p $(CURDIR)/debian/crash$(EXTDIR)
	cp -p extensions/*.so $(CURDIR)/debian/crash$(EXTDIR)

override_dh_auto_test:
	# Crash does not provide a testsuite

=== debian/tests/control ===
Tests: live
Restrictions: needs-root isolation-machine allow-stderr
Depends: @, lsb-release, software-properties-common, sudo, linux-libc-dev

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/crash-$1\.tar\.gz/ \
     https://github.com/crash-utility/crash/tags .*/v?(\d\S+)\.tar\.gz

## crash 9.0.0

=== debian/changelog ===
crash (9.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 9.0.0
  * Add d/salsa-ci.yml
  * d/control: Add libmpfr-dev to Build-Depends
  * d/lintian-overrides: Update rule syntax
  * d/tests: Drop software-properties-common dependency (Closes: #1108875)
  * d/tests/live: Stop using apt-key (Closes: #1020461)
  * Remove d/Makefile.ori
  * d/copyright: Convert to DEP5 format
  * Document gdb-16.2.tar.gz (Closes: #1120855)

 -- Juerg Haefliger <juergh@proton.me>  Tue, 18 Nov 2025 11:05:04 +0100

crash (8.0.6-2) unstable; urgency=medium

  * Orphan crash

 -- Troy Heber <troyh@debian.org>  Sun, 17 Aug 2025 14:32:47 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: crash
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Uploaders:
-Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo
+Build-Depends: debhelper (>= 13), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, bison, gawk, flex, zlib1g-dev, libncurses-dev, liblzo2-dev, libsnappy-dev, libzstd-dev, texinfo, libmpfr-dev
 Standards-Version: 4.7.0
 Homepage: https://crash-utility.github.io/
 XS-Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 export DEB_BUILD_HARDENING=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export EXTDIR=/usr/lib/crash/extensions
-export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 DPKG_EXPORT_BUILDFLAGS=1
 include /usr/share/dpkg/buildflags.mk
 
@@ -24,7 +23,7 @@
 	dh_clean
 	cp $(CURDIR)/debian/Makefile.ori $(CURDIR)/Makefile
 	rm -Rf $(CURDIR)/configure
-	rm -Rf $(CURDIR)/gdb-10.2
+	rm -Rf $(CURDIR)/gdb-16.2
 	rm -Rf $(CURDIR)/gdb.files
 	rm -Rf $(CURDIR)/build_data.c
 	rm -Rf $(CURDIR)/extensions/*.so
